/*
 * IzPack - Copyright 2001-2008 Julien Ponge, All Rights Reserved.
 *
 * http://izpack.org/
 * http://izpack.codehaus.org/
 *
 * Copyright 2004 Klaus Bartz
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.izforge.izpack.panels.extendedinstall;

import com.izforge.izpack.api.data.Panel;
import com.izforge.izpack.api.resource.Resources;
import com.izforge.izpack.gui.log.Log;
import com.izforge.izpack.installer.data.GUIInstallData;
import com.izforge.izpack.installer.gui.InstallerFrame;
import com.izforge.izpack.panels.install.InstallPanel;

/**
 * The install panel class. Launches the actual installation job with extensions for custom actions.
 *
 * @author Klaus Bartz
 * @deprecated the functionality of this class has been rolled into {@link InstallPanel}
 */
@Deprecated
public class ExtendedInstallPanel extends InstallPanel
{

    private static final long serialVersionUID = 3257291344052500789L;


    /**
     * The constructor.
     *
     * @param panel       the panel meta-data
     * @param parent      the parent window
     * @param installData the installation data
     * @param resources   the resources
     * @param log         the log
     */
    public ExtendedInstallPanel(Panel panel, InstallerFrame parent, GUIInstallData installData, Resources resources,
                                Log log)
    {
        super(panel, parent, installData, resources, log);
    }

}
